"use client";
import { __require as n } from "./_arrayPush.js";
import { __require as y } from "./isArray.js";
var e, s;
function f() {
  if (s) return e;
  s = 1;
  var u = n(), i = y();
  function t(r, l, _) {
    var a = l(r);
    return i(r) ? a : u(a, _(r));
  }
  return e = t, e;
}
export {
  f as __require
};
